#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityDoubleElevenLotteryTicketShopData
{
	//ID
	int mID;
	//抽奖次数
	int mLotteryCount;
	//需要钻石
	int mNeedCount;
	//奖励抽奖券数量
	int mTicketCount;
};

class M_ActivityDoubleElevenLotteryTicketShop
{
public:
private:
	static std::auto_ptr<M_ActivityDoubleElevenLotteryTicketShop> msSingleton;
public:
	int GetCount();
	const M_ActivityDoubleElevenLotteryTicketShopData* GetData(int ID);
	boost::unordered_map<int, M_ActivityDoubleElevenLotteryTicketShopData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityDoubleElevenLotteryTicketShop* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityDoubleElevenLotteryTicketShopData> mMapData;
};
